comedi_data_read_n
Prev | 5.4.1. Core Functions | Next

## Name

comedi_data_read_n — read multiple samples from channel

## Synopsis

    #include <comedilib.h>

`int comedi_data_read_n(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int range,
| unsigned int aref,
| lsampl_t * data,
| unsigned int n`)`;

## Description

Similar to `comedi_data_read` except it reads `n` samples into the array `data`. The precise timing of the samples is not hardware controlled.

Prev | Up | Next
comedi_data_read | Home | comedi_data_read_delayed